HeyGenVoiceSettings
HeyGen voice settings
Usage profiles
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
In requests
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
voiceId | string | Optional | Provider voice identifier used for speech synthesis. |
rate | number (double) or string (NaN, Infinity, -Infinity) | Optional | Speech-rate setting passed to the HeyGen voice provider. |
emotion | string | Optional | Emotion setting passed to HeyGen voice synthesis. |
elevenlabsSettings | HeyGenElevenLabsSettings | Optional | ElevenLabs synthesis settings associated with the HeyGen voice. |
Where used
| Reference | Relationship |
|---|---|
| Create a voice session (in progress) | POST /api/v1/llm/create-daily-session |
| HeyGenConfig | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-hey-gen-voice-settings.